gnutls_pkcs11_token_get_mechanism(3)

NAME
gnutls_pkcs11_token_get_mechanism - API function

SYNOPSIS
#include <gnutls/pkcs11.h>

int gnutls_pkcs11_token_get_mechanism(const char * url, unsigned int idx, unsigned long * mechanism);

ARGUMENTS

const char * url
    should contain a PKCS 11 URL

unsigned int idx
    The index of the mechanism

unsigned long * mechanism
    The PKCS 11 mechanism ID

DESCRIPTION
This function will return the names of the supported mechanisms by the token. It should be called with an increasing index until it return GNUTLS_E_REQUESTED_DATA_NOT_AVAILABLE.

RETURNS
GNUTLS_E_SUCCESS (0) on success or a negative error code on error.

SINCE
2.12.0

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GnuTLS home page: http://www.gnu.org/software/gnutls/

COPYRIGHT
Copyright © 2012 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/gnutls/manual/